Server Voraussetzungen and Apache Module

Server Voraussetzungen

  1. UNIX/Linux Host
  2. PHP 5.2+
  3. Apache - Benötigte Module werden unten aufgeführt
  • Kein MySQL und keine Datenbank erforderlich
  • Windows Hosting wurde erfolgreich getestet, allerdings mit kleineren Einschränkungen.
  • Nginx funktioniert ebenfalls (getestet auf Debian Lenny und Squeeze) - kleinere Anpassungen sind notwendig.

Apache & PHP: erforderliche Module

Zwingend erforderliche Module

  • SimpleXML - Dieses Modul wird benötigt, da die Datenspeicherung auf XML beruht.
    • Wenn diese Erweiterung nicht installiert ist, wird GetSimple nicht funktionieren.

Optional erforderliche Module

  • ZipArchive - Diese Erweiterung wird benötigt, um die Backup-Funktion von GetSimple zu verwenden.
    • Falls nicht installiert, versucht GetSimple (ab v3.1) die zlib Bibliothek zu verwenden (dadurch werden .tar.gz Dateien, anstelle von .zip Dateien generiert)
  • Apache mod_rewrite - wird nur benötigt um FancyURLs zu verwenden (muss zusätzlich im Administrationsbereich unter “Einstellungen” aktiviert werden). aka rewrite_module.
  • Curl - Curl wird benötigt, damit die API auf GetSimple Updates überprüfen kann.
    • D.h.: diese Erweiterung ist nicht zwingend erforderlich. Eine Installationsanleitung ist hier zu finden. (Auf Debian via apt-get install php5-curl)
  • GD Library - Dieses Modul wird benötigt, um Thumbnails von hochgeladenen Bildern zu erstellen.

Links

Zurück zum GetSimple Wiki Contents Page

Seiten in diesem Abschnitt

Installation